=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2006-06-19 15:44:33 +0000
+++ annotate/gannotate.py	2006-06-19 16:04:41 +0000
@@ -60,6 +60,7 @@
         self.revisions = {}
         self.annotations = []
         self.branch = branch
+        self.file_id = file_id
         
         # [revision id, line number, committer, revno, highlight color, line]
         self.annomodel = gtk.ListStore(gobject.TYPE_STRING,
@@ -209,6 +210,7 @@
         from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
         window = DiffWindow()
         window.set_diff("Diff for row %d" % row, tree1, tree2)
+        window.set_file(tree1.id2path(self.file_id))
         window.show()
 
 

=== modified file 'viz/diffwin.py'
--- viz/diffwin.py	2006-06-07 09:06:10 +0000
+++ viz/diffwin.py	2006-06-19 16:04:41 +0000
@@ -136,6 +136,16 @@
         self.treeview.expand_all()
         self.set_title(description + " - bzrk diff")
 
+    def set_file(self, file_path):
+        tv_path = None
+        for data in self.model:
+            for child in data.iterchildren():
+                if child[0] == file_path:
+                    tv_path = child.path
+                    break
+        assert tv_path is not None
+        self.treeview.set_cursor(tv_path)
+
     def _treeview_cursor_cb(self, *args):
         """Callback for when the treeview cursor changes."""
         (path, col) = self.treeview.get_cursor()

